---
title: 2024-W17
date: 2024-04-26
author: KazooTTT
type: Post
status: Draft
tags: []
finished: true
published: true
category: 周报
slug: 2024-W17
description: >-
  在2024年4月22日至4月28日期间，人工智能领域有多项重要更新和发布。Myshell发布了OpenVoice2开源语音模型，能够通过少量音频样本复制说话人的声音并生成多种语言的语音，且完全开源。Snowflake推出了Arctic，一个面向企业的顶级语言模型，具有高效的企业任务性能。Adobe发布了Firefly
  Image
  3模型，用于文本到图像的生成。OpenAI为其API引入了更多企业级功能，包括增强的安全性和更好的行政控制。此外，GitHub上的多个项目如Speechless和Llama-3-8B-16K也进行了更新，增强了语言处理和推理能力。在应用方面，ComfyUI
  Workflows提供了工作流模板，Cloudflare推出了AI
  Playground，Perplexity提供了企业会员和企业定制服务。此外，还有多个教程和资料推荐，如Llama
  3的微调教程和大规模预训练语言模型的理论基础。这些更新和资源为AI领域的研究者和开发者提供了丰富的工具和知识。
rinId: 97
toAstro: true
---

日期范围：2024/04/22 - 2024/04/28

# 1. 模型动态

## Myshell 发布 OpenVoice2 开源语音模型

[GitHub - myshell-ai/OpenVoice: Instant voice cloning by MyShell.](https://github.com/myshell-ai/OpenVoice)

[Open Voice](https://research.myshell.ai/open-voice)

它只需参考说话人的一小段音频片段，就能复制其声音并生成多种语言的语音

亮点：

能精细控制语音风格，包括情感、口音等多种参数。

完全开源，允许免费商业使用

## [Snowflake Arctic - LLM for Enterprise AI](https://www.snowflake.com/blog/arctic-open-efficient-foundation-language-models-snowflake/?continueFlag=5e163579825fe6026ed04354f826d987) 面向企业的 LLM

![IMG-20241021113030266](https://pictures.kazoottt.top/2024/11/20241125-bff04a759aafa7c937157293879a80e5.png)

2024-04-24

本文介绍了 Snowflake Arctic，一个高效智能且真正开放的顶级企业级 LLM。

它具有出色的企业任务性能，如 SQL 生成、编码和指令遵循基准，同时使用的训练计算预算不到 200 万美元（不到 3K GPU 周）。

它还使用了三阶段数据课程，专注于通用技能和企业技能，以实现高效的训练和推理。目前 Arctic 可在 Hugging Face、NVIDIA API 和 Replicate 上获取，预计在未来几周上线到其他的模型平台。

## Firefly Image 3 Model - Adobe 最新版文生图模型

![IMG-20241021113030298](https://pictures.kazoottt.top/2024/11/20241125-81683bd45ee0bfc84efe267991588021.png)

体验地址：

[Adobe Firefly](https://firefly.adobe.com/)

![IMG-20241021113030351](https://pictures.kazoottt.top/2024/11/20241125-b4504ff2bc70c4873e1b53fafef3c6c0.png)

## [Introducing more enterprise-grade features for API customers](https://openai.com/blog/more-enterprise-grade-features-for-api-customers?continueFlag=5e163579825fe6026ed04354f826d987) 为 API 引入更多企业级功能

![IMG-20241021113030402](https://pictures.kazoottt.top/2024/11/20241125-303cb01d99dfa60ef73ba2ef55dcdacc.png)

OpenAI 发布了一篇博客来介绍对于 API 的与企业相关的功能升级内容。

亮点：

- 增强的企业级安全：引入 Private Link 和 native MFA，新增到现有企业安全特性中。
- 更好的行政控制：通过新的 Projects 功能，组织对单个项目有更精细的控制和监督。
- 助理 API 的改进：包括更准确的检索、实时对话响应支持等。
- 更多成本管理选择：如针对持续 TPM 使用的优惠和异步工作负载成本的降低。
- 持续的功能添加计划：专注于企业级安全、行政控制和成本管理。

## [GitHub - uukuguy/speechless](https://github.com/uukuguy/speechless)

![IMG-20241021113030448](https://pictures.kazoottt.top/2024/11/20241125-7dc1c4b00fa62370439d88016a2eef30.png)

Speechless AI，它是一个基于大型语言模型的人工智能助手，专注于将强大的语言处理和深度推理能力集成到实际业务应用中。

它通过增强模型的语言理解、知识积累和文本创作能力，引入长期记忆、外部工具集成和本地部署，旨在建立一个能够独立交互、持续进化并与各种业务场景紧密结合的智能协作伙伴。

此外，文本还提供了关于模型、工具、训练等方面的详细信息。

## [mattshumer/Llama-3-8B-16K · Hugging Face](https://huggingface.co/mattshumer/Llama-3-8B-16K?continueFlag=5e163579825fe6026ed04354f826d987) 上下文翻倍的 Llama-3-8B-16K

[X 上的 Matt Shumer：“I've doubled LLaMA 3's context window to 16K tokens. Fully open-source. Link in thread: https://t.co/uPgmrVojHX” / X](https://twitter.com/mattshumer_/status/1782576964118675565)

![IMG-20241021113030500](https://pictures.kazoottt.top/2024/11/20241125-2520b26c697fc447740dd3efaea5522e.png)

![IMG-20241021113030589](https://pictures.kazoottt.top/2024/11/20241125-d92299dab87a3af4abb7b5601c0e1108.png)

# 2. 优秀应用

## [ComfyUI Workflows - Developer Community](https://openart.ai/workflows/home)

工作流模板网站，主要是

![IMG-20241021113030616](https://pictures.kazoottt.top/2024/11/20241125-18060f3d70fca34e6c14fad24897401d.png)

## Cloudflare 推出 AI Playground

[Workers AI LLM Playground](https://playground.ai.cloudflare.com)

支持免费使用多种开源模型，并且支持在 playground 调试好之后生成对应的调用代码。

![IMG-20241021113030661](https://pictures.kazoottt.top/2024/11/20241125-01d140420c59fafd9f8f9881e087a661.png)

![IMG-20241021113030688](https://pictures.kazoottt.top/2024/11/20241125-a4c112eb9e36c4e1fb353647fc859d07.png)

与此同时 cf 还提供了其他的各种好用的工具，无论对于个人开发者还是企业都推荐使用。

[Workers AI · Cloudflare Workers AI docs](https://developers.cloudflare.com/workers-ai/)

## Perplexity 推出了企业会员和企业定制服务

![IMG-20241021113030737](https://pictures.kazoottt.top/2024/11/20241125-f281f619a96b59b2a67dbef48b7fc17a.png)

亮点：

Enterprise Pro 的强大功能：能为团队提供快速、最新且可靠的复杂问题答案，无需频繁点击链接、比较答案或在网上无休止搜索。

数据安全与隐私：确保只有合适的人能看到数据，不会有不必要的信息被分享，且数据不会被用于训练，同时保障数据隐私和安全。

安全管理与控制：通过实时通知可疑行为或危险活动来管理威胁和防止数据丢失，安全政策和控制符合最高行业标准。

用户管理：轻松添加、移除和管理团队成员。

单点登录：与身份提供商安全集成，用户可通过单点登录轻松登录。

Enterprise Pro 的效益：帮助企业加速研发，如 Databricks 估计每月能为团队节省 5000 个工作小时。

定价模式：针对不同规模的企业有不同的定价方式，小公司可通过自助流程获取，大公司则可根据购买的座位数量进行灵活定价。

常见问题：Enterprise Pro 是为提高生产力、发挥 Perplexity 全部功能并满足严格安全要求而设计的解决方案，能帮助人们快速获得可靠答案，还能用于询问内部数据问题。

## [Can You Run It? LLM version - a Hugging Face Space by Vokturz](https://huggingface.co/spaces/Vokturz/can-it-run-llm) 查看机器配置能否运行模型

选择模型和机器配置，可以查看这个配置能否运行对应的模型

![IMG-20241021113030790](https://pictures.kazoottt.top/2024/11/20241125-2412f7a7cb673cc10cc04221e16a7bb7.png)

## [GitHub - feiandxs/duckrush](https://github.com/feiandxs/duckrush) 搜索关键词并返回 LLM 便于处理的数据格式

一个简单快速的后端 API，基于 Hono，可以使用关键字在互联网上搜索相关内容，并将其转换为适合 LLM 处理的格式。支持在 Cloudflare 上部署。

![IMG-20241021113030827](https://pictures.kazoottt.top/2024/11/20241125-c5d009a8bbd978934383f4c3ec3aa999.png)

# 3. 推荐资料

## [Llama 3 Fine Tune with Custom Data - Mervin Praison](https://mer.vin/2024/04/llama-3-fine-tune-with-custom-data/)

LLama3 微调教程

[How to Fine Tune Llama 3 for Better Instruction Following? - YouTube](https://www.youtube.com/watch?v=WxQbWTRNTxY&ab_channel=MervinPraison)

![IMG-20241021113030852](https://pictures.kazoottt.top/2024/11/20241125-692aff615a32b1f8197c67978bd34d38.png)

## [GitHub - datawhalechina/so-large-lm: 大模型基础: 一文了解大模型基础知识](https://github.com/datawhalechina/so-large-lm)

[大模型理论基础](https://datawhalechina.github.io/so-large-lm/#/)

![IMG-20241021113030885](https://pictures.kazoottt.top/2024/11/20241125-f4fbb07b678beb0cfdec88f21d001576.png)

本项目是一个关于大规模预训练语言模型的教程，涵盖模型的各个方面，包括数据准备、模型构建、训练策略等，以及安全、隐私、环境和法律道德等方面的知识。项目以斯坦福大学课程为基础，结合开源贡献者的补充和更新，由项目团队成员分工撰写，预计三个月完成初始版本，后续根据社区贡献和反馈进行更新。旨在为相关领域的研究者和从业者提供知识和技术，拓宽受众的知识面，降低参与开源项目的门槛，并为大型语言模型研究领域贡献资源。

## [Getting Started With Mistral - DeepLearning.AI](https://www.deeplearning.ai/short-courses/getting-started-with-mistral/?continueFlag=5e163579825fe6026ed04354f826d987) Mistral 入门教程

课程主要的内容：

“You’ll learn about selecting the right model for your use case, and get hands-on with features like effective prompting techniques, function calling, JSON mode, and Retrieval Augmented Generation (RAG).”

“您将了解如何为您的用例选择正确的模型，并亲身体验有效提示技术、函数调用、JSON 模式和检索增强生成（RAG）等功能”

![IMG-20241021113030926](https://pictures.kazoottt.top/2024/11/20241125-b4291b88a3a143cdaa6d21f04eee1866.png)

## [Financial Market Applications of LLMs](https://thegradient.pub/financial-market-applications-of-llms/?continueFlag=5e163579825fe6026ed04354f826d987) LLM 在金融市场的应用

![IMG-20241021113030976](https://pictures.kazoottt.top/2024/11/20241125-34fd203215f29c312b89c8fecc893456.png)

重点：

📈 生成式人工智能与量化交易的相似性：生成式人工智能在自然语言处理中的应用，与量化交易策略在金融市场中的应用，有许多相似之处。

🤔 人工智能在金融市场中的应用挑战：金融市场数据的复杂性和噪声性，使得将人工智能应用于金融市场充满挑战。

👏 生成式人工智能在其他领域的应用前景：生成式人工智能在金融市场的应用面临挑战，但仍有可能在其他领域发挥作用，如辅助分析师进行基础分析等。

🤖 对人工智能在量化交易中应用的展望：尽管当前生成式人工智能在量化交易中的应用前景并不明

## [AI Agents With Low/No Code, Hallucinations Create Security Holes, and more](https://www.deeplearning.ai/the-batch/issue-245/)

这篇文本主要讨论了多代理协作、语言模型的安全漏洞、GPT Store 的管理问题以及利用 RAG 改进语言模型性能等方面的内容。

![IMG-20241021113031022](https://pictures.kazoottt.top/2024/11/20241125-50b3f6d9454d536afa08d8b0e1b8aeaf.png)

## [Notion – The all-in-one workspace for your notes, tasks, wikis, and databases.](https://airy-lunch-c6f.notion.site/Becoming-SMART-is-easy-using-science-85119819e23f423887265b3fc436d586?pvs=4)

本文介绍了基于科学的强大学习技巧。文中还对比了一些常见但低效的学习策略，如高亮和重读，并强调了自我测试、检索练习、间隔练习、交错学习和精细询问等有效方法的重要性。
