---
title: Reasons Not to Recommend Purchasing Focusee for macOS Users
date: 2024-06-20
author: KazooTTT
type: Post
status: Published
tags:
  - macOS
  - Focusee
  - Screen Recording Software
  - Review
  - Refund
finished: true
published: true
category: 软件
slug: focusee-macos-review-en
description: >-
  An analysis of Focusee's shortcomings on macOS, including severe color
  discrepancies, slow export speed, and sound card configuration conflicts,
  along with the author's refund experience.
NotionID-notionnext: c692f30c-bcbc-48fd-9739-19e23a3e1e40
link-notionnext: >-
  https://kazoottt.notion.site/Reasons-Not-to-Recommend-Purchasing-Focusee-for-macOS-Users-c692f30cbcbc48fd973919e23a3e1e40
rinId: 40
toAstro: true
---

# Reasons Not to Recommend Purchasing Focusee for macOS Users

## Why I Purchased Focusee

1. **Need to Record Both Camera and Screen Simultaneously**: Often need to show both myself and the computer screen while recording videos.
2. **Need to Use Zoom Function**: Occasionally need to zoom in on specific areas during recording, and Focusee conveniently adds this effect.
3. **Supports Both macOS and Windows**: Additionally, there was a discount for purchasing for two devices.

Based on these three reasons, I purchased Focusee.

## Why I Don't Recommend It

### Severe Color Discrepancy

This is the most serious issue.

The recorded videos on macOS have significant color discrepancies compared to the actual screen, to the extent that I find it almost unusable. Here's a specific comparison:

![8c214f3f-65f7-49d6-8abd-7011886b3392-spark-clipboard](https://pictures.kazoottt.top/2024/06/20240620-f8632859027aa520b2acfe05f8010997.jpg)

After discovering this issue, I contacted their team:

On May 27th, I reported the issue for the first time. They responded that macOS 12.3 and below didn't have this problem, but versions above 12.3 did, and they were looking for a solution.

![CleanShot 2024-06-20 at 14.48.02](https://pictures.kazoottt.top/2024/06/20240620-7c6bb9ad347fed77aba7ee6ec6316dd0.png)

By June 18th, there was still no reply, so I sent another email asking for progress. They replied:

1. This is an issue caused by higher versions of macOS (but no other screen recording software has such severe color discrepancies).
2. Fixing this specific issue might sacrifice other color gamuts in the software.
3. The current software configuration provides the best solution for balancing various colors (meaning this issue will not be resolved).

![CleanShot 2024-06-20 at 14.55.42](https://pictures.kazoottt.top/2024/06/20240620-0edca0a2dee7d10c1877c25a3aa1fbd3.png)

### Very Slow Export Speed

The slowness is quite noticeable. My configuration is a Mac Mini M2 Pro, and whether adding effects to the recorded video or exporting it directly without any changes, the speed is very slow.

### Sound Card Configuration Conflicts and Lack of Single Application Recording

Focusee's sound card settings conflict with other virtual sound cards on my system, possibly causing the sound output to be forcibly switched to speakers, and I can't switch back to headphones.

Issue troubleshooting and solutions: [[Possible Causes and Solutions for Focusee Switching System Audio to Speaker Playback forcibly]]

[Possible Causes and Solutions for Focusee Switching System Audio to Speaker Playback forcibly](https://www.kazoottt.top/article/possible-causes-and-solutions-for-focusee-switching-system-audio-to-speaker-playback-forcibly)

Moreover, it doesn't support single application sound recording. Competing products like Screen Studio (paid), QuickRecorder (open-source and free), and OBS all support single application sound recording.

## Refund Experience

Since they informed me that the color discrepancy issue would not be resolved, and this was a crucial functional defect for me, I decided to request a refund.

I purchased Focusee from [数码荔枝 x 软件商店 - 专注于分享最新鲜优秀的正版软件](https://lizhi.shop/) Taobao store. After contacting customer service to ask if I could get a refund, they processed it quickly and agreed to it without any issues. This was quite a pleasant surprise. I will consider Litchi Digital for similar purchases in the future.
