---
title: Y4-2023年度总结
date: 2024-01-07
author: KazooTTT
tags:
  - '2023'
  - 2023年度总结
published: true
slug: summary-of-fy2023
description: >-
  2023年个人总结：作者回顾了一年的重要事件，包括参加aigc比赛、第二次去bw、厦门之旅以及转岗开始AI
  Agent的研究与开发。在这一年中，作者还开始担任面试官并参与其他公司的面试，体验了面试的双重角色。技术方面，作者的GitHub热力图逐渐变绿，参与了多个开源项目，并与朋友一起参加了AI相关的比赛，获得了奖项和奖金。此外，作者还分享了技术栈的偏向性，包括前端使用nextjs，后端使用nextjs/flask，设计使用figma和canva。最后，作者总结了去年的目标完成情况，并设定了新一年的计划，包括继续学习blender、每周至少产出一次技术向内容等。
finished: true
toAstro: true
category: 年报
---

![IMG-20240902220155824](https://pictures.kazoottt.top/2024/10/20241010-747a24e5899b357928a58beafaa22faa.png)

# 2023 总结

感觉时间过得好快，一年又过去了，还是像以往一样做一个总结吧。

## 时间轴

5 月 参加 aigc 比赛  
7 月 第二次去 bw  
10 月 终于去了厦门  
12 月

- 机缘巧合转岗，开始做 ai agent 的研究与开发
- 和群友在成都跨年

## 一些值得纪念的事情

### 终于开始面试

面试指两个方面，一个是我作为面试官面试他人（被迫的），另一个是我投简历面试其他公司。

我面试他人：由于部门很缺前端，更资深的前端都已离职，于是只能我被迫开始面试招人，在我自己面试别人的过程中，也能感受到自己的不足之处，比如对方回答了某问题之后，我很难接下去深入聊。也就是说其实我本身对于那个问题的了解也是比较浅的。

我被面试：投了几家公司，比较意外的是小公司投了后就没有下文了，但大厂的简历都过了，并且约了面试。结果以我目前的水平来说自然不用讲了，还有很多东西要学习准备，不过我觉得起码我迈出了第一步，也知道自己的不足之处在哪里了。面试官都是很不错的人，面试过程中有很好地引导回答，并且面完之后给出了很多有用的建议。

### 热力图终于绿了起来

因为自己的做项目以及给开源项目提 pr,github 的绿格子终于多了起来，虽然还是有很多空白的地方，但我觉得这是一个好的开始。希望 2024 年继续保持，并且做出真正能够解决自己痛点，同时也能帮助他人的项目。

![IMG-20240902220155904](https://pictures.kazoottt.top/2024/10/20241010-c89c4acd4044c20f36eebf6700691788.png)  
之前写的一个油猴脚本，收到了他人的反馈，感觉这样的反馈很能激励自己做更多的产出。

![IMG-20240902220155937](https://pictures.kazoottt.top/2024/10/20241010-7c87bb96de213bef044b67bd466b5960.png)  
除此之外还对一些开源项目提了 pr，虽然大多数都是很简单的 pr（例如 typo fix），但总算是迈出了第一步。

![IMG-20240902220155971](https://pictures.kazoottt.top/2024/10/20241010-870362102e36444878d13477590e8569.png)

### 和朋友一起参加了 Ai 相关的比赛

起因是去年 5 月的时候，大学的一位学长突然找我，问我有没有做过安卓相关的开发，他们要参加一个 aigc 的比赛，需要有人开发安卓的应用。再到后来方案改成了直接做 web 的 demo 就可以，于是我就很爽快的答应了。

从前期的开会讨论，后期的设计对接，都很愉快。那段时间的时间安排差不多都是白天工作，晚上回家继续写比赛的代码，虽然比较累但是觉得很快乐，在最后也拿了奖，同时也有一笔奖金。这应该是我第一次在工作外用自己的能力挣钱，感觉很快乐。

![IMG-20240902220156003](https://pictures.kazoottt.top/2024/10/20241010-e6323006da6f86aa1ac30cc2a6738ec6.png)

下面详细聊一下这个 demo 的开发相关的感受以及不足之处。

框架使用的是 nextjs（app router)，这个时候才意识到，原来我最顺手的框架是 nextjs，而不是工作里用得最多的 umi、cra、vite 之类的东西，后面的这几个框架对我来说其实都不是开箱即用的。

后面要做的事情应该是针对这几个常见的框架自己另外几个适用于自己以及公司的脚手架，而不是每次用都重新配一次配置。

- [ ] [[常见框架脚手架]]

然后就是在写这个项目的过程中，充分体会到 chatgpt 的便捷之处了。在早期，设计老师还没有提供素材给我的时候，我使用是 [Beautiful Free Images & Pictures | Unsplash](https://unsplash.com/) 的 api，

像下文这样随机生成图片，以及打乱顺序的 dirty work 就可以交给 chatgpt 来完成，减少了很多重复的工作量。

```javascript
const imagesList = [
  [
    "https://source.unsplash.com/128x128/?architecture",
    "https://source.unsplash.com/128x128/?travel",
    "https://source.unsplash.com/128x128/?books",
    "https://source.unsplash.com/128x128/?dogs",
    "https://source.unsplash.com/128x128/?beach",
    "https://source.unsplash.com/128x128/?food",
    "https://source.unsplash.com/128x128/?music",
    "https://source.unsplash.com/128x128/?nature",
    "https://source.unsplash.com/128x128/?fashion",
    "https://source.unsplash.com/128x128/?cars",
    "https://source.unsplash.com/128x128/?wildlife",
    "https://source.unsplash.com/128x128/?art",
    "https://source.unsplash.com/128x128/?sports",
    "https://source.unsplash.com/128x128/?mountains",
    "https://source.unsplash.com/128x128/?technology",
    "https://source.unsplash.com/128x128/?city",
    "https://source.unsplash.com/128x128/?cats",
    "https://source.unsplash.com/128x128/?sunsets",
    "https://source.unsplash.com/128x128/?animals",
    "https://source.unsplash.com/128x128/?fitness",
  ],
  [
    "https://source.unsplash.com/360x640/?technology",
    "https://source.unsplash.com/360x640/?music",
    "https://source.unsplash.com/360x640/?sports",
    "https://source.unsplash.com/360x640/?art",
    "https://source.unsplash.com/360x640/?fashion",
    "https://source.unsplash.com/360x640/?cars",
    "https://source.unsplash.com/360x640/?books",
    "https://source.unsplash.com/360x640/?architecture",
    "https://source.unsplash.com/360x640/?fitness",
    "https://source.unsplash.com/360x640/?nature",
    "https://source.unsplash.com/360x640/?city",
    "https://source.unsplash.com/360x640/?food",
    "https://source.unsplash.com/360x640/?animals",
    "https://source.unsplash.com/360x640/?mountains",
    "https://source.unsplash.com/360x640/?beach",
    "https://source.unsplash.com/360x640/?dogs",
    "https://source.unsplash.com/360x640/?travel",
  ],
  [
    "https://source.unsplash.com/360x640/?nature",
    "https://source.unsplash.com/360x640/?city",
    "https://source.unsplash.com/360x640/?food",
    "https://source.unsplash.com/360x640/?animals",
    "https://source.unsplash.com/360x640/?mountains",
    "https://source.unsplash.com/360x640/?beach",
    "https://source.unsplash.com/360x640/?dogs",
    "https://source.unsplash.com/360x640/?travel",
    "https://source.unsplash.com/360x640/?architecture",
    "https://source.unsplash.com/360x640/?technology",
    "https://source.unsplash.com/360x640/?music",
    "https://source.unsplash.com/360x640/?sports",
    "https://source.unsplash.com/360x640/?art",
    "https://source.unsplash.com/360x640/?fashion",
    "https://source.unsplash.com/360x640/?cars",
    "https://source.unsplash.com/360x640/?books",
    "https://source.unsplash.com/360x640/?fitness",
  ],
]
```

### 去了 Bw2023

具体的内容可以看这篇汇报  
[[2023 bw汇报]]

### 去了厦门

具体的内容可以看这篇游记  
[[2023 国庆厦门和杭州之行]]

### 转岗开启 AI Agent 开发 + 父母来上海看我

具体的内容可以看这篇周报  
[[2023-W48]]

### 和朋友一起在成都跨年

[[2023 跨年]]

## 技术栈的偏向性

前端：nextjs + shadcn/ui + jotai  
后端：nextjs / flask  
设计：figma + canva

## 一些数据

### 微信读书

2020 122h  
2021 32h  
2022 29h  
2023 23h

### Wakatime

2023 484h  
2022 237h  
2021 322h  
2020 594h  
2019 195h  
2018 327h  
2017 30h  
wakatime 的数据查看：[Code stats for all users in 2023 - WakaTime](https://wakatime.com/a-look-back-at-2023)  
![IMG-20240902220156039](https://pictures.kazoottt.top/2024/10/20241010-60743ea1e38816464883d4a77add6485.png)

### 音乐

听歌时间明显变少了，去年收的

## 去年目标完成情况

[[2022年度总结#5. 今年计划]]

1. [ ] 【工作】拿一个 base 地是成都的 offer
2. [ ] 【开源】把主站重构项目写完并上线
3. [ ] 【设计】继续学习 blender
4. [ ] 【设计】学习 UI/UX，熟悉 ps、figma
5. [x] 【学习】重拾阅读习惯

## 今年的计划

1. [ ] 【工作】拿一个 base 地是成都的 offer
2. [ ] 【设计】继续学习 blender
3. [ ] 【学习】每周至少有一个技术向博客/视频的产出
4. [ ] 【学习】学习 vue3，了解更多的前端框架
