---
title: web3资源收集
slug: web3-resource-collection
published: true
description: >-
  本资源收集提供了深入了解Web3的基础材料，包括比特币和以太坊的历史与技术细节。推荐阅读比特币前传系列文章，了解比特币诞生前的技术背景和发展历程。以太坊简史则概述了其近十年的重大突破和变化，以及创始人Vitalik
  Buterin的初衷。此外，加密思潮编年史帮助读者快速把握加密技术的发展脉络。技术方面，比特币和以太坊的白皮书精读版详细解读了其技术原理，而“一个以太坊交易的完整周期”则深入探讨了交易的具体流程。YouTube教程和相关文章进一步提供了Foundry开发框架和Web3.0应用架构的讲解，以及Uniswap
  v2的详细解析，为学习和研究Web3提供了丰富的资料。
rinId: 13
finished: true
date: 2024-02-07
category: web3
tags:
  - 比特币
  - 以太坊
  - 区块链
toAstro: true
---

# web3 资源收集

基础推荐材料  
人文基础：

比特币之前的事情：理解组成比特币的核心技术的发展，理解比特币的前前后后，能更好的理解中本聪创造比特币的核心产物。

1、比特币前传  
<https://foresightnews.pro/article/detail/13987>（比特币前传（一）70 年代公钥传奇）

<https://foresightnews.pro/article/detail/14114>（比特币前传（二）：去中心化的起源）

<https://foresightnews.pro/article/detail/14545>（比特币前传（三）：90 年代的加密战争  
<https://foresightnews.pro/article/detail/14783>（比特币前传（四）：跨越半个世纪的思想与蓝图）

2、以太坊简史：因暴雪削弱术士而诞生的千亿美元巨兽  
<https://foresightnews.pro/article/detail/13531>  
以太坊近十年的发展很难用一篇文章概括，但是可以大致浏览每一个阶段的重大突破与变化。了解 VB 创造 ETH 的时候主要想解决什么问题  
3、加密思潮编年史，从 25 年前说起  
<https://foresightnews.pro/article/detail/961>  
快速了解加密思潮在不同时期的变化，了解到如何一步步从 BTC 走向 DAPP  
技术基础：

1**、比特币白皮书精读版**  
<https://mp.weixin.qq.com/s/eYCbAD_tPG9PmuFE1LvCWA>  
比特币白皮书精读版是对比特币白皮书更详细的解读，有助于更好的理解白皮书中的内容。比特币的技术原理搞的越清楚越好。

2、以太坊白皮书精讲 精选  
<https://zhuanlan.zhihu.com/p/37747240>（Part1）

<https://zhuanlan.zhihu.com/p/38002875>（Part2）

<https://zhuanlan.zhihu.com/p/38003169>（Part3）

白皮书精讲系列是看懂白皮书很好的参考资料，可以更深入的了解白皮书中的细节。这是 ETH1.0 的架构，后面再看 ETH 2.0 的架构。也是搞得越清楚越好，后续的区块链整体上都没有脱离这个架构，既 Chain-VM- 共识 -Daap  
3**、一个以太坊交易的完整周期**  
<https://www.notonlyowner.com/learn/what-happens-when-you-send-one-dai>  
这篇文章对具体的每一个环节都有很详细的记录，跟 Daap 的开发结合非常紧密，最好能完整过一遍，然后自己尝试画一个详细的流程图。包括前端怎么跟钱包交互，钱包怎么跟 RPC 交互，节点之间怎么通信，EVM 怎么处理交易，Gas，最后存储等。

---

youtube 教程  
[Site Unreachable](https://www.youtube.com/watch?v=q9UzRyWRPcY&ab_channel=CyfrinAudits)

这个可以看看 Foundry 开发框架  
[Foundry 开发框架 | Decert.me](https://decert.me/tutorial/solidity/tools/foundry/)

[The Architecture of a Web 3.0 application](https://www.preethikasireddy.com/post/the-architecture-of-a-web-3-0-application) 这篇是讲 web3 应用的架构

对了，有一个 uniswap v2 详细讲解材料，非常不错，我发出来  
大家有需要可以好好看一下，讲得非常详细  
[X 上的 RareSkills：“It's 100% free -- no login required. Bookmark (no pun intended) and come back as needed. Book link: https://t.co/8BcWQH8jH0” / X](https://twitter.com/RareSkills_io/status/1724741635995799607?t=ItDMIKngRqH7yQ4Zf1gIxQ&s=19)
